%global enable_tests 0
%global srcname arrify
Name:                nodejs-%{srcname}
Version:             1.0.1
Release:             1
Summary:             Convert a value to an array
License:             MIT
URL:                 https://www.npmjs.com/package/%{srcname}
Source0:             https://github.com/sindresorhus/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(ava)
%endif
%description
%{summary}.

%prep
%autosetup -n %{srcname}-%{version}
rm -rf node_modules/

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr index.js package.json \
    %{buildroot}%{nodejs_sitelib}/%{srcname}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
node test.js
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{srcname}

%changelog
* Mon Aug 10 2020 wutao <wutao61@huawei.com> - 1.0.1-1
- package init
